Issue1243

classification
Title: Running scripts from standalone jar with __run__.py broken
Type: crash Severity: normal
Components: Core Versions: 2.2.2, 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: fwierzbicki, rryan, yanne
Priority: high Keywords:

Created on 2009-01-22.05:35:58 by yanne, last changed 2009-02-09.02:39:16 by fwierzbicki.

Messages
msg4066 (view) Author: Janne Härkönen (yanne) Date: 2009-01-22.05:35:57
Install jython2.5b1 as a standalone.

jth@jth-laptop:~/tmp$ cp /home/jth/jython2.5b1/jython.jar .
jth@jth-laptop:~/tmp$ echo "print 'Hello, world'" > __run__.py 
jth@jth-laptop:~/tmp$ zip jython.jar __run__.py 
  adding: __run__.py (stored 0%)
jth@jth-laptop:~/tmp$ java -jar jython.jar -jar jython.jar 
Exception in thread "main" java.lang.NullPointerException
	at org.python.core.ParserFacade.prepBufReader(ParserFacade.java:238)
	at org.python.core.ParserFacade.parse(ParserFacade.java:141)
	at org.python.core.Py.compile_flags(Py.java:1672)
	at org.python.core.Py.compile(Py.java:1626)
	at org.python.util.jython.runJar(jython.java:99)
	at org.python.util.jython.run(jython.java:201)
	at org.python.util.jython.main(jython.java:112)

java.lang.NullPointerException: java.lang.NullPointerException
msg4142 (view) Author: RJ Ryan (rryan) Date: 2009-02-07.19:41:38
Changing org.python.core.Py.compile to pass a new CompilerFlags instance
to compile_flags resolves this issue for me.
msg4143 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-02-09.02:38:57
fixed in r6023
History
Date User Action Args
2009-02-09 02:39:16fwierzbickisetstatus: open -> closed
resolution: fixed
2009-02-09 02:38:58fwierzbickisetmessages: + msg4143
2009-02-09 01:41:35fwierzbickisetpriority: high
assignee: fwierzbicki
nosy: + fwierzbicki
2009-02-07 19:41:39rryansettype: crash
messages: + msg4142
nosy: + rryan
components: + Core
versions: + 2.2.2, 2.5b1
2009-01-22 05:35:59yannecreate